Jump to content

Photo

New Version of Atari800MacX Released


19 replies to this topic

#1 atarimac OFFLINE  

atarimac

    Chopper Commander

  • 158 posts
  • Location:Missouri, USA

Posted Sat Jan 5, 2019 8:08 PM

 
Hi All,
   I wanted to make sure people saw this, as it was mentioned in the old thread about sound not working.
   I know I've been for the most part silent for the past 4+ years.  I've had my head down completing my PhD, and then this fall teaching my first semester of classes as a Computer Science professor.
   I finally managed to get enough time over the holidays to make the changes to integrate the new version of libSDL 2.0 into Atari800MacX.  The 2.0 version makes wholesale changes to many things, including rendering, sound, and keypresses, so it took me about 2 weeks of effort to make the changes.  The good news is that moving to 2.0 should enable the emulator to with stand changes to Mac OSX in future versions, assuming that the library authors keep up with them.
   I want to thank Paulo (pedgarcia), as he fixed sound independently of me, and has been helping with changes to this new version.
 
   The changes fix the sound and full screen issues, as well as printer emulation which wasn't working anymore either.  Be aware though it is still Alpha quality software, as the amount of testing I have done is limited (although I'm sure all of you can help there :) ).
 
   I'm still waiting to hear from Al on the website FTP, but for now, you can grab the new release from Github if you like:
 
 
   Please use the issue system there on github to enter issues you find.  I will update the main web page when I can, but I may move to using github.iio pages as well in the future.
 
   The source has been moved there as well, at least for 4.6 and 5.0.  Anyone who would like to get involved in future development, please let us know, or just fork the project.
 
Thanks,
Mark


#2 Albert OFFLINE  

Albert

    Quadrunner

  • 35,081 posts

Posted Sat Jan 5, 2019 9:28 PM

   I'm still waiting to hear from Al on the website FTP, but for now, you can grab the new release from Github if you like:

 

I've sent you an email with the information you need.  Glad to see you're working on Atari800MacX again!  :D 

 

 ..Al



#3 JAC! OFFLINE  

JAC!

    Stargunner

  • 1,799 posts
  • Always looking for GFX and MSX for my demos
  • Location:Lebach, Germany

Posted Sun Jan 6, 2019 8:18 AM

Welcome back and congratulations to all of the above - Awesome Mark!

#4 Gavin1968 OFFLINE  

Gavin1968

    Space Invader

  • 37 posts
  • Location:Clovis, CA

Posted Sun Jan 6, 2019 12:37 PM

I have been playing with it for a few days now, having great luck with it! Nice to hear the sounds again and not crash every few seconds :) 
 



#5 Sydtech OFFLINE  

Sydtech

    Space Invader

  • 11 posts

Posted Sun Jan 6, 2019 4:28 PM

Fantastic that the sound is working again - thanks!

 

Just opened an issue on github regarding controller support, though - can't get it to recognize a PS3 controller that works fine in Stella for Mac OS X.



#6 MrFish ONLINE  

MrFish

  • 5,222 posts

Posted Sun Jan 6, 2019 4:44 PM

Any plans to keep updating the older version for compatibility with OS X 10.6.8, for those who need it?



#7 atarimac OFFLINE  

atarimac

    Chopper Commander

  • Topic Starter
  • 158 posts
  • Location:Missouri, USA

Posted Mon Jan 7, 2019 12:42 PM

I don't have any machines running anything old enough to do PPC development, if that's what you are asking.

The source is still available, so if someone wanted to do volunteer to do changes they could, but I know from my time limitations, I will not have time to setup any sort of virtualization to support old Xcode development, and I have no test machines for PPC.



#8 MrFish ONLINE  

MrFish

  • 5,222 posts

Posted Mon Jan 7, 2019 12:46 PM

OS X 10.6.8 is for Intel Macs.



#9 Ripdubski OFFLINE  

Ripdubski

    Stargunner

  • 1,303 posts

Posted Mon Jan 7, 2019 4:25 PM

Woohoo!  Thanks and congratulations!

 

Oh, and feature request:

-Addition of INVERSE keys to system console key menu.



#10 atarimac OFFLINE  

atarimac

    Chopper Commander

  • Topic Starter
  • 158 posts
  • Location:Missouri, USA

Posted Mon Jan 7, 2019 8:59 PM

Hey Wade,

  Your welcome.

  And the feature request makes great sense, so much so I just checked the source for it in :).

  For future reference, you can add feature requests on Github as well, in fact I added one to track this one.

 

Thanks,
Mark



#11 atarimac OFFLINE  

atarimac

    Chopper Commander

  • Topic Starter
  • 158 posts
  • Location:Missouri, USA

Posted Mon Jan 7, 2019 9:01 PM

Hi Mr. Fish,

   OK, you just want to be able to run on Snow Leopard.  

   I know I won't have the time to maintain two branches (including maintaining the development environment).

   If someone is set up for that and wants to do that, I'd be glad to have them help through github.

 

Mark



#12 atarixle OFFLINE  

atarixle

    Moonsweeper

  • 304 posts
  • Location:Germany

Posted Mon Jan 7, 2019 11:22 PM

I got Snow Leopard running, inside is Xcode 3 I guess. Is that the machine which makes Atari800MacX work with down to 10.3 PPC?

 

I made it to compile the .app in Leopard (PPC) using the latest Xcode there, but that had a size of 18MB (original download was 10.8MB). In Snow Leopard, it compiled to that 10.8MB big .app, while on SL the original download seemed to be displayed as 11MB. Idk what's going on there, but may be in SL they changed the divider from 1024 to 1000 to show the number of mega bytes.

 

All in all, I have 10.3, 10.4, 10.5, 10.6, 10.7 and 10.11 running on several machines. All run Atari800MacX 4.6.0 and all should be able to run a version of Xcode.

 

The downside is, I never really worked on big projects, so I do not know if I will make it to merge newer on older code. And I don't have any Mac running Sierra+ to compare a forked 4.6.x with the official 5.0.x.


Edited by atarixle, Mon Jan 7, 2019 11:24 PM.


#13 JAC! OFFLINE  

JAC!

    Stargunner

  • 1,799 posts
  • Always looking for GFX and MSX for my demos
  • Location:Lebach, Germany

Posted Tue Jan 8, 2019 3:20 PM

Maybe no fork is required. C++ is flexible when it comes to compile time swiches / defines. I think Mark simply has not machine to do/try PPC etc.



#14 atarixle OFFLINE  

atarixle

    Moonsweeper

  • 304 posts
  • Location:Germany

Posted Wed Jan 9, 2019 8:13 AM

But: 4.6.0 compiles on SL, 5.0.0 does not. My personell guess is this has something to do with SDL2, which is not available on any of my Macs (10.3 - 10.11).

#15 Mr Robot OFFLINE  

Mr Robot

    Dragonstomper

  • 542 posts
  • Location:Brit ExPat in 'Merica

Posted Wed Jan 9, 2019 10:03 AM

OS X 10.6 is still supported in XCode 10.1 as a deployment target.

SDL 2.0 supported 10.5+ but I'm not sure about 2.0.9, theres some mojave specific stuff in there so an earlier version of SDL2 might be required. 



#16 slx OFFLINE  

slx

    Stargunner

  • 1,626 posts
  • Location:Vienna, Austria

Posted Thu Jan 10, 2019 3:44 AM

 

 
 
   I know I've been for the most part silent for the past 4+ years.  I've had my head down completing my PhD, and then this fall teaching my first semester of classes as a Computer Science professor.
   I finally managed to get enough time over the holidays to make the changes to integrate the new version of libSDL 2.0 into Atari800MacX.  The 2.0 version makes wholesale changes to many things, including rendering, sound, and keypresses, so it took me about 2 weeks of effort to make the changes.  The good news is that moving to 2.0 should enable the emulator to with stand changes to Mac OSX in future versions, assuming that the library authors keep up with them.
 

 

 

Congratulations on your new tenure and thank you very much for updating the Emulator!



#17 Level42 OFFLINE  

Level42

    River Patroller

  • 2,593 posts
  • Location:Ridderkerk, The Netherlands

Posted Thu Jan 10, 2019 10:16 AM

Am I the only one having loads of crashes ? 



#18 atarixle OFFLINE  

atarixle

    Moonsweeper

  • 304 posts
  • Location:Germany

Posted Thu Jan 10, 2019 12:50 PM

Well, I got it up and running.

 

Xcode alerts: SDL is supporting 10.6 and higher (so not 10.5). May be this is an issue of version 2.0.9.

 

Anyway, I got the untouched source of Atari800MacX 5.0.0 up and running on El Capitan. 10.6 is the Deployment-Target.

 

I just get no 32 Bit version of that app (it does not run on my 32 Bit SL Mac)

 

But it runs on my 64 Bit MacBook3,1 on OS X Lion.


Edited by atarixle, Thu Jan 10, 2019 1:26 PM.


#19 flashjazzcat OFFLINE  

flashjazzcat

    Quadrunner

  • 14,168 posts
  • Location:United Kingdom

Posted Fri Jan 11, 2019 8:36 AM

Working here on Mojave (hack). Icons on the media pane probably need updating to look good in dark mode.



#20 skr OFFLINE  

skr

    Dragonstomper

  • 650 posts
  • Ready
  • Location:Hamburg

Posted Fri Jan 11, 2019 9:07 AM

Am I the only one having loads of crashes ? 

Maybe. I have no crashes here.






0 user(s) are browsing this forum

0 members, 0 guests, 0 anonymous users